package com.aliyun.chatbot.channel.dingtalk;

import lombok.Data;

/**
 * @author kelin
 * @date 2024/5/31
 */
@Data
public class DingtalkInputMessage {
    private String outTrackId;

    private String senderPlatform;

    private String conversationId;

    private String chatbotCorpId;

    private String chatbotUserId;

    private String msgId;

    private String senderNick;

    private boolean isAdmin;

    private String senderStaffId;

    private long sessionWebhookExpiredTime;

    private long createAt;

    private String senderCorpId;

    private String conversationType;

    private String senderId;

    private String sessionWebhook;

    private TextContent text;

    private String robotCode;

    private String msgtype;

    @Data
    public static class TextContent {
        private String content;
    }

    public boolean isGroup() {
        return "2".equalsIgnoreCase(getConversationType());
    }
}
