package com.aliyun.chatbot.channel.dingtalk;

import com.aliyun.chatbot.channel.base.ChatContext;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * @author kelin
 * @date 2024/6/7
 */
@Data
@Accessors(chain = true)
public class DingtalkChatContext implements ChatContext {

    private String outTrackId;
    private String robotCode;

    private DingtalkInputMessage dingtalkInputMessage;

    private DingtalkAccessTokenClient dingtalkAccessTokenClient;

}
